Package org.apache.solr.client.solrj

# Interface SolrClient.SolrClientFunction<C extends SolrClient,R>

Enclosing class:
  `SolrClient`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public static interface SolrClient.SolrClientFunction<C extends SolrClient,R>
A lambda intended for invoking SolrClient operations

## Method Summary

Modifier and Type
Method
Description
`R`
`apply(C c)`

## Method Details

### apply

R apply(C c) throws IOException, SolrServerException

Throws:
  `IOException`
  `SolrServerException`